### Function

# GLib test_bug

since: 2.16

#### Declaration

    void
    g_test_bug (
      const char* bug_uri_snippet
    )

#### Description

This function adds a message to test reports that associates a bug URI with a test case.

Bug URIs are constructed from a base URI set with `g_test_bug_base()` and `bug_uri_snippet`. If `g_test_bug_base()` has not been called, it is assumed to be the empty string, so a full URI can be provided to `g_test_bug()` instead.

Since GLib 2.70, the base URI is not prepended to `bug_uri_snippet` if it is already a valid URI.

Available since: 2.16

#### Parameters

`bug_uri_snippet`

  Type: `const char*`

  Bug specific bug tracker URI or URI portion.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.